


setGeneric("loadHicExperiment", signature = c("locations",
                                              "binIndices",
                                              "type",
                                              "groups",
                                              "genome"),
           function(locations, binIndices, type,groups,genome)
             standardGeneric("loadHicExperiment"))

setGeneric("MAnormReplicates", signature = c("hicSamples", "groups"),
           function(hicSamples, groups)
             standardGeneric("MAnormReplicates"))

setGeneric("readJuiceBoxFormat", signature = c("filePath", "chromosome", "normMethod", "resolution"),
           function(filePath,
                    chromosome,
                    normMethod,
                    resolution)
             standardGeneric("readJuiceBoxFormat"))

setGeneric("readTabformat", signature = c("filePath", "chromosome", "resolution"),
           function(filePath, chromosome, resolution)
             standardGeneric("readTabformat"))


setGeneric("generateSimulation", signature = c(
  "baseHic",
  "pUp",
  "foldDiff",
  "pDiff",
  "nrep1",
  "nrep2",
  "extreme.dispersion"
),
function(baseHic,
         pUp,
         foldDiff,
         pDiff,
         nrep1,
         nrep2,
         extreme.dispersion)
  standardGeneric("generateSimulation"))






setGeneric("getDCIs_fromMat", signature = c("Hic1",
                                            "Hic2",
                                            "windowSize",
                                            "method",
                                            "alpha"),
           function(Hic1,
                    Hic2,
                    windowSize,
                    method,
                    alpha = 0.7,
                    qvalue = 1e-6 ,
                    isrOP_qval = FALSE,
                    quantile = 0.99,
                    resolution = 5000)
             standardGeneric("getDCIs_fromMat"))


setGeneric("getDCIs_parallel", signature = c(
  "Hic1",
  "Hic2",
  "windowSize",
  "method",
  "alpha",
  "quantile",
  "qvalue",
  "isrOP_qval",
  "chunk_size",
  "nbProcessors",
  "verbose"
),
function(Hic1,
         Hic2,
         windowSize,
         method,
         alpha = 0.6,
         quantile=0.99,
         qvalue=1e-6,
         isrOP_qval = FALSE,
         chunk_size = 500,
         nbProcessors = 2,
         verbose = TRUE)
  standardGeneric("getDCIs_parallel"))



setGeneric("getDCIs_HicExpr", signature = c(
  "HicExpr",
  "windowSize",
  "method",
  "alpha",
  "quantile",
  "qvalue",
  "isrOP_qval",
  "chunk_size",
  "nbProcessors",
  "verbose"
),
function(HicExpr,
         windowSize,
         method,
         alpha = 0.6,
         quantile=0.99,
         qvalue=1e-6,
         isrOP_qval = FALSE,
         chunk_size = 500,
         nbProcessors = 2,
         verbose = TRUE)
  standardGeneric("getDCIs_HicExpr"))






setGeneric("getDCIs_fromSim", signature = c("x",
                                            "windowSize",
                                            "method",
                                            "alpha"),
           function(x,
                    windowSize,
                    method,
                    alpha = 0.7,
                    qvalue = 1e-6 ,
                    isrOP_qval = FALSE,
                    quantile = 0.99,
                    resolution = 5000)
             standardGeneric("getDCIs_fromSim"))


setGeneric("compareWithTrueDCI", signature = c("predictedDCI",
                                               "trueDCI"),
           function(predictedDCI, trueDCI)
             standardGeneric("compareWithTrueDCI"))
