% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/HicCollection-methods.R
\docType{methods}
\name{getDCIs_fromMat,list,list,numeric,character,numeric-method}
\alias{getDCIs_fromMat,list,list,numeric,character,numeric-method}
\title{Detection of DCIs given a list of matrices}
\usage{
\S4method{getDCIs_fromMat}{list,list,numeric,character,numeric}(Hic1 = NULL,
  Hic2 = NULL, windowSize = 3, method = c("hardCutoff", "quantreg"),
  alpha = 0.6, qvalue = 0.001, isrOP_qval = TRUE, quantile = 0.99,
  resolution = 5000)
}
\arguments{
\item{Hic1}{list of \code{dgCMatrix} matrices. Contains the Hi-C replicates for the 1st condition.}

\item{Hic2}{list of \code{dgCMatrix} matrices. Contains the Hi-C replicates for the 2nd condition.}

\item{windowSize}{numeric. The sliding window width.}

\item{method}{character. Type of method to use to select the q-value cutoff.
possible values are : \code{hardCutof} in which the cutoff is applied dirrectly,
and \code{quantreg} in which a quantile regression method is used.}

\item{alpha}{numeric. The percentage of the k-nearest neighbors required
to be significantly different in each sliding window.}

\item{qvalue}{numeric. cutoff q-value. Taken into considiration i}

\item{isrOP_qval}{logical.}
}
\description{
Detection of DCIs given a list of matrices
}
