% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/HicCollection-methods.R
\docType{methods}
\name{loadHicExperiment,list,character,character,numeric,character-method}
\alias{loadHicExperiment,list,character,character,numeric,character-method}
\title{Loading the Hi-C replicates from the two conditions}
\usage{

  \S4method{loadHicExperiment}{list,character,character,numeric,character}(locations = NULL,
  binIndices = NULL, type = c("HicPro"), groups = NULL, genome = NULL)
}
\arguments{
\item{locations}{a list that contains the path to the Hi-C matrices of the two conditions.
Each matrix should be represented in a 3-columned format: bin1ID bin2ID  Freq.}

\item{binIndices}{path to the file containing the bins genomic location. 
If you use HiC-Pro, you can the "abs.bed" file. Otherwise, you can provide a 
4-columned file that contains the chromosome, start, end and binID.}

\item{type}{character. The format in which the Hi-C data is encoded. 
For the moment we support the HiC-Pro format, probably we will addd new formats 
such as .hic format.}

\item{groups}{numeric. A numeric vector that indicates the group of each sample (For the moment only two groups are allowed)}
}
\value{
a HicExperiment object
}
\description{
Loading the Hi-C replicates from the two conditions
}
\examples{
\dontrun{
  hic1 <-
}
}
