% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/HicCollection-methods.R
\docType{methods}
\name{readJuiceBoxFormat,character,character,character,numeric-method}
\alias{readJuiceBoxFormat,character,character,character,numeric-method}
\title{Read a juicebox formatted Hi-C matrix}
\usage{
\S4method{readJuiceBoxFormat}{character,character,character,numeric}(filePath,
  chromosome, normMethod = c("NONE", "VC", "VC_SQRT", "KR"),
  resolution = 5000)
}
\arguments{
\item{filePath}{character. Path to the .hic file.}

\item{chromosome}{character. The chromosome we are intersted to read.}

\item{normMethod}{character. The normalization method to use.
Only the ones accepted by juicebox can be used. The accepted values are : "NONE","VC","VC_SQRT" or "KR"}

\item{resolution}{numeric. The resolution to use. Only the resolutions supported by juicebox are used.}
}
\value{
A sparse matrix of class "dgCMatrix" with only the upper triangle filled.
For the moment this function works only on linux machines.
}
\description{
Read a juicebox formatted Hi-C matrix
}
